Name:           ikiwiki
Version:        3.20190228
%define subrel 1
Release:        %mkrel 1
Summary:        A wiki compiler

Group:          Networking/WWW
# ikiwiki is licensed under GPLv2+, the Python code in plugins/ under
# BSD (2-clause)
License:        GPLv2+ and BSD
URL:            http://ikiwiki.info/
Source0:        http://ftp.debian.org/debian/pool/main/i/%{name}/%{name}_%{version}.orig.tar.xz
Patch0:         ikiwiki-libexecdir.patch
Patch1:         ikiwiki-fix-shebang.patch
BuildArch:      noarch

BuildRequires:  perl(Text::Markdown)
BuildRequires:  perl(Mail::Sendmail)
BuildRequires:  perl(HTML::Scrubber)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(Date::Parse)
BuildRequires:  perl(Date::Format)
BuildRequires:  perl(HTML::Template)
BuildRequires:  perl(CGI::FormBuilder)
BuildRequires:  perl(CGI::Session)
BuildRequires:  perl(File::MimeInfo)
BuildRequires:  perl(YAML::XS)
BuildRequires:  gettext
BuildRequires:  po4a
BuildRequires:  python

Requires:       perl(Text::Markdown)
Requires:       perl(Mail::Sendmail)
Requires:       perl(HTML::Scrubber)
Requires:       perl(XML::Simple)
Requires:       perl(CGI::FormBuilder)
Requires:       perl(CGI::Session)
Requires:       perl(Digest::SHA1)
Requires:       perl(YAML::XS)

Requires:       python-devel
Requires:       python-docutils

%global cgi_bin %{_libexecdir}/w3m/cgi-bin

# RPM 4.8 style
%global __provides_exclude perl\\(IkiWiki.*\\)
%global __requires_exclude perl\\(IkiWiki.*\\)|perl\\(Monotone\\)

%description
Ikiwiki is a wiki compiler. It converts wiki pages into HTML pages
suitable for publishing on a website. Ikiwiki stores pages and history
in a revision control system such as Subversion or Git. There are many
other features, including support for blogging, as well as a large
array of plugins.


%prep
%setup0 -q -n IkiWiki-%{version}
%patch0 -p1 -b .libexecdir
%patch1 -p1 -b .fix_shebang

# goes into the -w3m subpackage
%{__cat} << \EOF > README.fedora
See http://ikiwiki.info/w3mmode/ for more information.
EOF


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor PREFIX=%{_prefix}
# parallel builds currently don't work
%{__make}


%install
%{__make} pure_install DESTDIR=%{buildroot} W3M_CGI_BIN=%{cgi_bin}
%find_lang %{name}

# move external plugins
%{__mkdir_p} %{buildroot}%{_libexecdir}/ikiwiki/plugins
%{__mv} %{buildroot}%{_prefix}/lib/ikiwiki/plugins/* \
        %{buildroot}%{_libexecdir}/ikiwiki/plugins

# remove shebang
%{__sed} -e '1{/^#!/d}' -i \
        %{buildroot}%{_sysconfdir}/ikiwiki/auto.setup \
        %{buildroot}%{_sysconfdir}/ikiwiki/auto-blog.setup \
        %{buildroot}%{_libexecdir}/ikiwiki/plugins/proxy.py

# fix permissions
find %{buildroot}%{perl_vendorlib}/IkiWiki -type f \
        -exec chmod -x {} \;

# Make the shebang more permanent.
perl -i -lapE 's{^(#!/usr/bin/perl)\S+}{$1}' %{buildroot}%{_bindir}/* %{buildroot}%{_sbindir}/*

%files -f %{name}.lang
%{_bindir}/ikiwiki*
%{_sbindir}/ikiwiki*
%{_mandir}/man1/ikiwiki*
%{_mandir}/man8/ikiwiki*
%{_datadir}/ikiwiki
%dir %{_sysconfdir}/ikiwiki
%config(noreplace) %{_sysconfdir}/ikiwiki/*
# contains a packlist only
%exclude %{perl_vendorarch}
%{perl_vendorlib}/IkiWiki*
%exclude %{perl_vendorlib}/IkiWiki*/Plugin/skeleton.pm.example
%{_libexecdir}/ikiwiki
%doc README debian/changelog debian/NEWS html
%doc IkiWiki/Plugin/skeleton.pm.example


%package w3m
Summary:        Ikiwiki w3m cgi meta-wrapper
Group:          Networking/WWW
Requires:       w3m
Requires:       %{name} = %{version}-%{release}

%description w3m
Enable usage of all of ikiwiki's web features (page editing, etc) in
the w3m web browser without a web server. w3m supports local CGI
scripts, and ikiwiki can be set up to run that way using the
meta-wrapper in this package.


%files w3m
%doc README.fedora
%{cgi_bin}/ikiwiki-w3m.cgi



%changelog
* Tue Mar 05 2019 shlomif <shlomif> 3.20190228-1.1.mga6
+ Revision: 1371655
- add requires.
- New version 3.2019 - fix security MGA#24453

* Sat Jun 18 2016 pterjan <pterjan> 3.20160121-2.mga6
+ Revision: 1022150
- Rebuild for perl 5.22.2

* Mon Jan 25 2016 shlomif <shlomif> 3.20160121-1.mga6
+ Revision: 927426
- New version 3.20160121 + fix she-bang

* Sat Jun 27 2015 shlomif <shlomif> 3.20150614-1.mga6
+ Revision: 846377
- New version 3.20150614

* Wed Oct 15 2014 umeabot <umeabot> 3.20140916-2.mga5
+ Revision: 746856
- Second Mageia 5 Mass Rebuild
+ shlomif <shlomif>
- New version.

* Tue Sep 16 2014 umeabot <umeabot> 3.20140227-2.mga5
+ Revision: 680477
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Thu Mar 20 2014 shlomif <shlomif> 3.20140227-1.mga5
+ Revision: 606244
- New version 3.20140227
- New version 3.20140102
- Fixes due to a copying SNAFU.
- ikiwiki package based on the Fedora package

